from django.db import models


class CheckListEntry(models.Model):
    wikiEntry = models.ForeignKey(
        'wiki.WikiEntry', on_delete=models.SET_NULL, null=True)
    glossaryEntry = models.ForeignKey(
        'glossary.GlossaryEntry', on_delete=models.SET_NULL, null=True)
    checkListEntryTitle = models.CharField(max_length=200)
    checkListEntrySeverity = models.CharField(max_length=10)
    checkListEntryDescription = models.TextField()

    def __str__(self):
        return self.checkListEntryTitle

    class Meta:
        ordering = ['checkListEntryTitle']
