from django.http import HttpResponseRedirect
from django.shortcuts import render
from django.urls import reverse
from django.views import generic

from .models import CheckListEntry

class IndexView(generic.ListView):
    template_name = 'checklist/index.html'
    context_object_name = 'checklist_entries'

    def get_queryset(self):
        return CheckListEntry.objects.all()

